Skip to navigation

Create Category Image

Create a Category Image.

Required Fields

  • image_file: Form posts are the only accepted upload option.

Only one image at a time can be created.

Supported file types are JPEG/JPG, GIF, PNG and ICO.

Limit image size to 8MB. To update a Category Image, use the Update categories endpoint and an image_url.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

category_idintegerRequired

The ID of the Category to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a multipart form containing an optional file.
image_filefileOptional

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error